Bug 699205 (perl-Graph-Easy) - Review Request: perl-Graph-Easy - Convert or render graphs as ASCII, HTML, SVG or via Graphviz
Summary: Review Request: perl-Graph-Easy - Convert or render graphs as ASCII, HTML, SV...
Keywords:
Status: CLOSED ERRATA
Alias: perl-Graph-Easy
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Graph-Easy/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-24 08:24 UTC by Iain Arnell
Modified: 2011-05-25 02:38 UTC (History)
3 users (show)

Fixed In Version: perl-Graph-Easy-0.70-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 04:29:12 UTC
Type: ---
mario.blaettermann: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2011-04-24 08:24:52 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Graph-Easy.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Graph-Easy-0.70-1.fc16.src.rpm

Description:
Graph::Easy lets you generate graphs consisting of various shaped nodes
connected by edges (with optional labels). It can read and write graphs in a
variety of formats, as well as render them via its own grid-based layouter.
Since the layouter works on a grid (manhattan layout), the output is most
useful for flow charts, network diagrams, or hierarchy trees.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3022224

*rt-0.10_01

Comment 1 Mario Blättermann 2011-05-08 13:05:29 UTC
I've repeated the builds successfully for f14 and f15 to see if it builds there:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3058077
http://koji.fedoraproject.org/koji/taskinfo?taskID=3058081

$ rpmlint -v *
perl-Graph-Easy.noarch: I: checking
perl-Graph-Easy.noarch: W: spelling-error %description -l en_US layouter -> lay outer, lay-outer, layout er
perl-Graph-Easy.noarch: I: checking-url http://search.cpan.org/dist/Graph-Easy/ (timeout 10 seconds)
perl-Graph-Easy.src: I: checking
perl-Graph-Easy.src: W: spelling-error %description -l en_US layouter -> lay outer, lay-outer, layout er
perl-Graph-Easy.src: I: checking-url http://search.cpan.org/dist/Graph-Easy/ (timeout 10 seconds)
perl-Graph-Easy.src: I: checking-url http://www.cpan.org/authors/id/S/SH/SHLOMIF/Graph-Easy-0.70.tar.gz (timeout 10 seconds)
perl-Graph-Easy.spec: I: checking-url http://www.cpan.org/authors/id/S/SH/SHLOMIF/Graph-Easy-0.70.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Just a spelling error. But in my mind, "layouter" is a common spelling, too. Could be kept as is.

I'm not sure at all if "examples" in %doc should be followed by a / to let the package own the whole folder including its contents.

Comment 2 Iain Arnell 2011-05-09 06:54:20 UTC
(In reply to comment #1)
> Just a spelling error. But in my mind, "layouter" is a common spelling, too.
> Could be kept as is.

I think the dictionaries haven't caught up with the usage yet. It's a derivative noun formed by extending "layout" with "-er" suffix, meaning "one who or that which deals with layouts". (From the verb "to lay out", you would end up with "layer-out", definitely not "lay-outer").

> I'm not sure at all if "examples" in %doc should be followed by a / to let the
> package own the whole folder including its contents.

rpm -ql shows that the resulting rpm already owns both the directory and its contents. A trailing slash isn't necessary.

Comment 3 Mario Blättermann 2011-05-09 18:47:47 UTC
---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPL+ or Artistic
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    md5sum *
    ced2a9ebee7b751d3223317f46dc08c0  Graph-Easy-0.70.tar.gz
    ced2a9ebee7b751d3223317f46dc08c0  Graph-Easy-0.70.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it.

[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.

----------------

PACKAGE APPROVED

----------------

Comment 4 Iain Arnell 2011-05-09 19:16:47 UTC
New Package SCM Request
=======================
Package Name: perl-Graph-Easy
Short Description: Convert or render graphs as ASCII, HTML, SVG or via Graphviz
Owners: iarnell
Branches: f13 f14 f15
InitialCC: perl-sig

Comment 5 Jason Tibbitts 2011-05-10 15:40:29 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-05-11 03:32:53 UTC
perl-Graph-Easy-0.70-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Graph-Easy-0.70-1.fc14

Comment 7 Fedora Update System 2011-05-11 03:33:02 UTC
perl-Graph-Easy-0.70-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Graph-Easy-0.70-1.fc13

Comment 8 Fedora Update System 2011-05-11 03:33:10 UTC
perl-Graph-Easy-0.70-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Graph-Easy-0.70-1.fc15

Comment 9 Fedora Update System 2011-05-11 05:49:30 UTC
perl-Graph-Easy-0.70-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 10 Fedora Update System 2011-05-19 04:29:06 UTC
perl-Graph-Easy-0.70-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 11 Fedora Update System 2011-05-25 02:35:20 UTC
perl-Graph-Easy-0.70-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 12 Fedora Update System 2011-05-25 02:38:39 UTC
perl-Graph-Easy-0.70-1.fc13 has been pushed to the Fedora 13 stable repository.


Note You need to log in before you can comment on or make changes to this bug.